package com.fizz.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 炉火段工艺参数对象 setup_fur_temp
 * 
 * @author ruoyi
 * @date 2025-09-29
 */
public class SetupFurTemp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String steelGrade;

    /** 预热段出口板温 */
    @Excel(name = "预热段出口板温")
    private Long value1;

    /** 加热段出口板温 */
    @Excel(name = "加热段出口板温")
    private Long value2;

    /** 冷却段出口板温 */
    @Excel(name = "冷却段出口板温")
    private Long value3;

    /** $column.columnComment */
    private Long value4;

    /** $column.columnComment */
    private Long value5;

    /** $column.columnComment */
    private Long value6;

    /** $column.columnComment */
    private Long value7;

    /** $column.columnComment */
    private Long value8;

    /** $column.columnComment */
    private Long value9;

    /** $column.columnComment */
    private Long value10;

    public void setSteelGrade(String steelGrade) 
    {
        this.steelGrade = steelGrade;
    }

    public String getSteelGrade() 
    {
        return steelGrade;
    }
    public void setValue1(Long value1) 
    {
        this.value1 = value1;
    }

    public Long getValue1() 
    {
        return value1;
    }
    public void setValue2(Long value2) 
    {
        this.value2 = value2;
    }

    public Long getValue2() 
    {
        return value2;
    }
    public void setValue3(Long value3) 
    {
        this.value3 = value3;
    }

    public Long getValue3() 
    {
        return value3;
    }
    public void setValue4(Long value4) 
    {
        this.value4 = value4;
    }

    public Long getValue4() 
    {
        return value4;
    }
    public void setValue5(Long value5) 
    {
        this.value5 = value5;
    }

    public Long getValue5() 
    {
        return value5;
    }
    public void setValue6(Long value6) 
    {
        this.value6 = value6;
    }

    public Long getValue6() 
    {
        return value6;
    }
    public void setValue7(Long value7) 
    {
        this.value7 = value7;
    }

    public Long getValue7() 
    {
        return value7;
    }
    public void setValue8(Long value8) 
    {
        this.value8 = value8;
    }

    public Long getValue8() 
    {
        return value8;
    }
    public void setValue9(Long value9) 
    {
        this.value9 = value9;
    }

    public Long getValue9() 
    {
        return value9;
    }
    public void setValue10(Long value10) 
    {
        this.value10 = value10;
    }

    public Long getValue10() 
    {
        return value10;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("steelGrade", getSteelGrade())
            .append("value1", getValue1())
            .append("value2", getValue2())
            .append("value3", getValue3())
            .append("value4", getValue4())
            .append("value5", getValue5())
            .append("value6", getValue6())
            .append("value7", getValue7())
            .append("value8", getValue8())
            .append("value9", getValue9())
            .append("value10", getValue10())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
